[![Gem Version](https://badge.fury.io/rb/vulcano.svg)](https://badge.fury.io/rb/vulcano)

# Vulcano

Ruby script to generate Swift Codable files from a given JSON file

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'vulcano'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install vulcano

## Usage

```bash
vulcano json_path [options]
```

use `vulcano --help` to see the whole options list

#### Examples

```
vulcano /Users/franco/vulcano_json.json
```

```
vulcano /Users/franco/vulcano_json.json -d /Users/franco/output_folder -n "ClassName"
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/f-meloni/vulcano. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Vulcano project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/vulcano/blob/master/CODE_OF_CONDUCT.md).

